<!DOCTYPE html>
<html>

<head>
  <title> Bootstrap template- Pizza 365 project </title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

  <!-- Bootstrap -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item"> <!-- đổi thành dạng click để dễ xử lý-->
                <button class="btn" onclick="onNavOrderDetailClick()"> Order Detail</button>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b>Pizza 365
                Truly italian !</b></h1>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_5.jpg" alt="Third slide">
                </div>

              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-success border">
                <h3 class="p-2">Design</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-danger border">
                <h3 class="p-2">Branding</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-secondary text-white border">
                <h3 class="p-2">Consultation</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-dark text-white border">
                <h3 class="p-2">Promises</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn! </span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>S (small) </h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính: </b> 20cm </li>
                      <li class="list-group-item"><b> Sườn nướng: </b> 2 </li>
                      <li class="list-group-item"><b>Salad: </b> 200g </li>
                      <li class="list-group-item"><b>Nước ngọt: </b> 2</li>
                      <li class="list-group-item">
                        <h1><b>150.000</b></h1> VND
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-small" onclick="onBtnSmallClick()" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>M (medium)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính: </b> 25cm </li>
                      <li class="list-group-item"><b> Sườn nướng: </b> 4 </li>
                      <li class="list-group-item"><b>Salad: </b> 300g </li>
                      <li class="list-group-item"><b>Nước ngọt: </b> 3</li>
                      <li class="list-group-item">
                        <h1><b>200.000</b></h1> VND
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-medium" onclick="onBtnMediumClick()" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>L (large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>Đường kính: </b> 30cm </li>
                      <li class="list-group-item"><b> Sườn nướng: </b> 8 </li>
                      <li class="list-group-item"><b>Salad: </b> 500g </li>
                      <li class="list-group-item"><b>Nước ngọt: </b> 4</li>
                      <li class="list-group-item">
                        <h1><b>250.000</b></h1> VND
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-large" onclick="onBtnLargeClick()" class="btn btn-success"
                      data-is-selected-menu="N">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_1.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Hawai</h3>
                    <p>CEO & Founder</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button id="btn-hawai" onclick="onBtnHawaiClick()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_2.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Hải Sản</h3>
                    <p>Art Director</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button id="btn-haisan" onclick="onBtnHaisanClick()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_3.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Thịt hun khói</h3>
                    <p>Designer</p>
                    <p>Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque elementum.
                    </p>
                    <p><button id="btn-bacon" onclick="onBtnBaconClick()" class="btn btn-info w-100"
                        data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <!-- Type of drink -->
              <div class="col-sm-12 text-center p-4 mt-4">
                <h2><b style="color: brown;" class="p-2 border-bottom">Chọn đồ uống</b></h2>
              </div>
              <div class="col-sm-12">
                <select id="select-drink" class="form-control">
                  <option value="not-selected-drink">Chọn đồ uống</option>
                </select>
              </div>
            </div>
          </div>
        </div>

        <div id="contact" class="row">

          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Contact Us</b></h2>
          </div>

          <!-- Content Contact Us -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div class="form-group">
                  <label for="message">Mã giảm giá</label>
                  <input type="text" class="form-control" id="inp-voucher-id" placeholder="mã giảm giá">
                </div>
                <button type="button" class="btn btn-dark w-100">Send (Gửi đơn)</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
</body>

<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gPLAN_SMALL = "Small";
  const gPLAN_MEDIUM = "Medium";
  const gPLAN_LARGE = "Large";
  const gPLAN_HAWAI = "Hawai";
  const gPLAN_HAISAN = "Hải Sản";
  const gPLAN_BACON = "Bacon";
  const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  function onNavOrderDetailClick() {
    console.log("%cGọi chi tiết order ở đây", "color:blue");
  }
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  function onPageLoading() {
    var vXhttp = new XMLHttpRequest();
    callApiDrinkList(vXhttp)
    vXhttp.onreadystatechange = function () {
      if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
        var vDrink =JSON.parse(vXhttp.responseText);
        console.log(vDrink); //ghi response text ra console.log
        
        loadDataToDrink(vDrink);
      }
    };
  }

  //hàm load danh sách thức uống
  function loadDataToDrink (pagramDrink ){
    var vSelectDrink = document.getElementById("select-drink")

    for (var bI = 0; bI < pagramDrink.length; bI++){
      var vNewOption = document.createElement("option");

      vNewOption.value = pagramDrink[bI].maNuocUong;

      vNewOption.text = pagramDrink[bI].tenNuocUong;

      vSelectDrink.appendChild(vNewOption);

    }
  }


 // hàm call API
  function callApiDrinkList(paggramXmlHttp) {
    paggramXmlHttp.open("GET", vBASE_URL, true);
    paggramXmlHttp.send();
  }

  function onBtnSmallClick() {

    changeColorMenu(gPLAN_SMALL)
    var vSelectedPlan = getPlan(gPLAN_SMALL, "20cm", 2, "200g", 2, "150.000");
    // gọi method hiển thị thông tin
    vSelectedPlan.displayInConsoleLog();
  }
  //_________________________________________
  function onBtnMediumClick() {
    changeColorMenu(gPLAN_MEDIUM)

    var vSelectedPlan = getPlan(gPLAN_MEDIUM, "25cm", 4, "4300g", 3, "200.000");
    // gọi method hiển thị thông tin
    vSelectedPlan.displayInConsoleLog();
  }

  //__________________________________________
  function onBtnLargeClick() {

    changeColorMenu(gPLAN_LARGE)
    var vSelectedPlan = getPlan(gPLAN_LARGE, "30cm", 8, "500g", 4, "250.000");
    // gọi method hiển thị thông tin
    vSelectedPlan.displayInConsoleLog();
  }
  //_____________________________________
  function onBtnHawaiClick() {
    changeColorPizza(gPLAN_HAWAI);
    displayPizzaConsoleLog(gPLAN_HAWAI);
  }
  //_________________________________
  function onBtnHaisanClick() {
    changeColorPizza(gPLAN_HAISAN);
    displayPizzaConsoleLog(gPLAN_HAISAN);
  }
  //_____________________________________

  function onBtnBaconClick() {
    changeColorPizza(gPLAN_BACON);
    displayPizzaConsoleLog(gPLAN_BACON);
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  function getPlan(paramPlan, paramDuongKinh, paramSuon, paramSalad, paramNuoc, paramVnd) {
    var vPlan = {  //Đối tượng: gói dịch vụ máy chủ được chọn
      plan: paramPlan,   //plan = gói dịch vụ basic/pro/premium
      duongkinh: paramDuongKinh,
      suon: paramSuon,
      salad: paramSalad,
      nuocngot: paramNuoc,
      vnd: paramVnd,

      displayInConsoleLog() {
        console.log("%cPLAN SELECTED - gói dịch vụ được chọn..........", "color:blue");
        console.log(this.plan);  //this = "đối tượng này"
        console.log("Đường kính: " + this.duongkinh);
        console.log("Sườn: " + this.suon);
        console.log("Salas: " + this.salad);
        console.log("Nước Ngọt:" + this.nuocngot);
        console.log("Giá: " + this.vnd);

      }
    }
    return vPlan;
  }

  // hàm đổi màu nit button
  function changeColorMenu(pagramPlan) {
    var vBtnSmall = document.getElementById("btn-small");
    var vBtnMedium = document.getElementById("btn-medium");
    var vBtnLarge = document.getElementById("btn-large");
    if (pagramPlan === gPLAN_SMALL) {
      vBtnSmall.className = "btn btn-warning"
      vBtnSmall.setAttribute("data-is-selected-menu", "Y")

      vBtnMedium.className = "btn btn-success"
      vBtnMedium.setAttribute("data-is-selected-menu", "N")

      vBtnLarge.className = "btn btn-success"
      vBtnLarge.setAttribute("data-is-selected-menu", "N")
    } else if (pagramPlan === gPLAN_MEDIUM) {
      vBtnSmall.className = "btn btn-success"
      vBtnSmall.setAttribute("data-is-selected-menu", "N")

      vBtnMedium.className = "btn btn-warning"
      vBtnMedium.setAttribute("data-is-selected-menu", "Y")

      vBtnLarge.className = "btn btn-success"
      vBtnLarge.setAttribute("data-is-selected-menu", "N")

    } else if (pagramPlan === gPLAN_LARGE) {
      vBtnSmall.className = "btn btn-success"
      vBtnSmall.setAttribute("data-is-selected-menu", "N")

      vBtnMedium.className = "btn btn-success"
      vBtnMedium.setAttribute("data-is-selected-menu", "N")

      vBtnLarge.className = "btn btn-warning"
      vBtnLarge.setAttribute("data-is-selected-menu", "Y")
    }
  }
  // hàm đổi màu nút chọn Pizza
  function changeColorPizza(pagramPizza) {
    var vBtnHawwai = document.getElementById("btn-hawai");
    var vBtnHaiSan = document.getElementById("btn-haisan");
    var vBtnBacon = document.getElementById("btn-bacon");
    if (pagramPizza == gPLAN_HAWAI) {
      vBtnHawwai.className = "btn btn-warning w-100"
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "Y")

      vBtnHaiSan.className = "btn btn-info w-100"
      vBtnHawwai.setAttribute("data-is-selected-pizza", "N")

      vBtnBacon.className = "btn btn-info w-100"
      vBtnBacon.setAttribute("data-is-selected-pizza", "N")

    } else if (pagramPizza == gPLAN_HAISAN) {
      vBtnHawwai.className = "btn btn-info w-100"
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N")

      vBtnHaiSan.className = "btn btn-warning w-100"
      vBtnHawwai.setAttribute("data-is-selected-pizza", "Y")

      vBtnBacon.className = "btn btn-info w-100"
      vBtnBacon.setAttribute("data-is-selected-pizza", "N")
    }
    else if (pagramPizza == gPLAN_BACON) {
      vBtnHawwai.className = "btn btn-info w-100"
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N")

      vBtnHaiSan.className = "btn btn-info w-100"
      vBtnHawwai.setAttribute("data-is-selected-pizza", "N")

      vBtnBacon.className = "btn btn-warning w-100"
      vBtnBacon.setAttribute("data-is-selected-pizza", "Y")
    }
  }
  function displayPizzaConsoleLog(pagramPiazza) {
    if (pagramPiazza == gPLAN_HAWAI) {
      console.log("%c Pizza Hawai", "color: red")

    } if (pagramPiazza == gPLAN_HAISAN) {
      console.log("%c Pizza Hải sản", "color: blue")

    } if (pagramPiazza == gPLAN_BACON) {
      console.log("%c Pizza Thịt hun khói", "color: green")
    }
  }

</script>

</html>